Bug 1738126 - pyorbit depends on Python 2
Summary: pyorbit depends on Python 2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pyorbit
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1747854 1787243
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:07 UTC by Lumír Balhar
Modified: 2020-01-01 21:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-11 15:42:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 13:07:37 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for pyorbit's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to pyorbit.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:43:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Lumír Balhar 2019-08-15 07:07:22 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 3 Lumír Balhar 2019-08-22 07:12:53 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Lumír Balhar 2019-08-30 05:37:14 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 5 Peter Robinson 2019-09-06 08:46:26 UTC
I don't know what question you're asking. If it's why, I'll take a a look when I get a moment, I've not had a chance to dig down through all the dependent packages yet or I've not got answers from maintainers of dependent packages. That's the only reason I haven't retired it yet, it has dependencies.

Comment 6 Lumír Balhar 2019-09-06 11:06:39 UTC
(In reply to Peter Robinson from comment #5)
> I don't know what question you're asking. If it's why, I'll take a a look
> when I get a moment, I've not had a chance to dig down through all the
> dependent packages yet or I've not got answers from maintainers of dependent
> packages. That's the only reason I haven't retired it yet, it has
> dependencies.

The three questions in the first comment.

If the dependent packages are the only reason why you keep this package in Fedora, you can orphan it and let the maintainer of dependant packages take care of it.

Comment 7 Peter Robinson 2019-09-06 11:56:37 UTC
> If the dependent packages are the only reason why you keep this package in
> Fedora, you can orphan it and let the maintainer of dependant packages take
> care of it.

At least one of those packages is mine, it's the only reason I took over the maintainership the last time someone orphaned it! I'm working to kill off old deps but ATM it's not my priority. It will be something in the sugar stack that has a package in between here and there, sugar directly doesn't use this but there's some dumb-arse dep in the chain.

Comment 8 Miro Hrončok 2019-09-08 18:44:42 UTC
This is needed just for gnome-python2. I think we can mark this blocked on gnome-python2 and decide pyorbit's fate together with that one.

Comment 9 Peter Robinson 2019-09-11 15:42:38 UTC
Retired now in rawhide


Note You need to log in before you can comment on or make changes to this bug.